PUT
/v1/listings/{uuid}/publications/{publicationUuid}
const url = 'https://developer.kleinanzeigen.de/api/goods/v1/listings/123e4567-e89b-12d3-a456-426614174000/publications/789e4567-e89b-12d3-a456-426614174999';const options = { method: 'PUT', headers: { 'HttpHeaders.AUTHORIZATION': 'eyJhbGciOiJIUzI1NiIsInR5...', 'Content-Type': 'application/json' }, body: '{"availabilityRadiusInKm":1,"street":"example","city":"example","district":"example","postalCode":"example","imprintUuid":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://developer.kleinanzeigen.de/api/goods/v1/listings/123e4567-e89b-12d3-a456-426614174000/publications/789e4567-e89b-12d3-a456-426614174999 \ --header 'Content-Type: application/json' \ --header 'HttpHeaders.AUTHORIZATION: eyJhbGciOiJIUzI1NiIsInR5...' \ --data '{ "availabilityRadiusInKm": 1, "street": "example", "city": "example", "district": "example", "postalCode": "example", "imprintUuid": "example" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” uuid
required
string
Example
123e4567-e89b-12d3-a456-426614174000 publicationUuid
required
string
Example
789e4567-e89b-12d3-a456-426614174999Header Parameters
Section titled “Header Parameters ” HttpHeaders.AUTHORIZATION
required
Request Body required
Section titled “Request Body required ” Media type application/json
object
availabilityRadiusInKm
integer | null format: int32
street
string | null
city
string | null
district
string | null
postalCode
string | null
imprintUuid
string | null
Example generated
{ "availabilityRadiusInKm": 1, "street": "example", "city": "example", "district": "example", "postalCode": "example", "imprintUuid": "example"}Responses
Section titled “ Responses ”No Content
Media type */*
object
Bad Request
Media type */*
Example
{ "status": 400, "title": "BAD_REQUEST", "detail": "Mismatch: 789e4567-e89b-12d3-a456-426614174999", "instance": "/api/v1/listings/123e4567-e89b-12d3-a456-426614174000/publications/789e4567-e89b-12d3-a456-426614174999"}